Subject: Re: A Process Experiment in Normative Reference Handling

From: Brian E Carpenter <[email-masked]>
Date: Mon, 03 Apr 2006 08:36:08 +0200

Cullen Jennings wrote:
> Few random comments ...
> 
> I like this idea but I don't see how you can do it as an experiment. At the
> end of the year, if we decided not to continue with the experiment, would
> all the documents go back to their previous status had we not run the
> experiment? It will just cause a rush to publish stuff that is not ready to
> slide it in under the 1 year rule. What would happen after the one year to a
> bis of document that how downward refs? I like the idea of this draft but it
> seems like IETF has to commit to it or not - it's going to be very hard to
> do for one year then stop. If you do keep it as an experiment, I think you
> need more about what happens after the one year.

Personal opinion: state that such downrefs will remain in place after
the experiment. We can do downrefs today; the procedure is just a bit
heavier.

> 
> In section 2.1, having some general (not necessarily binding) guidance of
> when downward refs were acceptable would be good. I'm not sure what to put
> but I think the right text here would help people be conformable with the
> proposal. 

Isn't there existing guidance to cite? But also, maybe this is overdesign
for an experiment.

    Brian
> 
> Reading the list traffic, I see that you did not intend this to allow
> normative references to I-Ds that are not approved. It might be lost on some
> people that this does expand the current rules to allow an RFC to normative
> reference an I-D that is approved but not yet published. I assume this would
> mean we would allocate the RFC numbers on approval of an I-D instead of on
> publishing so that the text or referencing RFC did not have to be updated.
> I'm OK with this but personally I would be very against normative references
> to I-Ds that are not yet approved for reasons I have put on this list
> before. 
> 
> Making it crystal clear what sort of downward refs were allowed under this
> would be good.
> 
> Thanks for doing this - it seems like something that could break a huge log
> jam. 
> 
> Cullen
> 
> 
> On 3/30/06 4:46 AM, "Brian E Carpenter" <[email-masked]> wrote:
> 
> 
>>It would be very interesting to have WG Chair feedback on
>>draft-klensin-norm-ref-00.txt
>>
>>Good idea? Bad idea?
>>
>>      Brian
>>
>>Abstract
>>
>>    The IETF and RFC Editor have a long-standing rule that a document at
>>    a given maturity level cannot be published until all documents it
>>    references as normative are at that maturity level or higher.  This
>>    rule has sometimes resulted in very long publication delays for
>>    documents and some claims that it was a major obstruction to
>>    advancing documents in maturity level.  The IETF agreed to a way to
>>    bypass this rule with RFC 3967.  This document proposes a one-year
>>    process experiment in which the "hold on normative reference" rule
>>    will be replaced by a "note downward normative reference and move on"
>>    approach.
> 
> 
> 
> 
>